# PDOQuerySplitter

Base class for classes that split SQL source into separate queries

author | Alexey Borzov avb@php.net
package | phing.tasks.ext.pdo
version | $Id: 918ec6d58131d6aea966b154be71a83c27e94b7c $

### Methods

## Constructor, sets the parent task and reader with SQL source

    __construct(\PDOSQLExecTask $parent, \Reader $reader)

### Arguments

#### $parent

`\PDOSQLExecTask`

#### $reader

`\Reader`

## Returns next query from SQL source, null if no more queries left

    nextQuery() : string|null

abstract

### Response

`string|null`

### Properties

## Task that uses the splitter

    parent : \PDOSQLExecTask

var |

### Type(s)

`\PDOSQLExecTask`

## Reader with SQL source

    sqlReader : \BufferedReader

var |

### Type(s)

`\BufferedReader`